Package org.eclipse.help.ui.internal

# Class ContextHelpDialog.Description

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.swt.widgets.Canvas
org.eclipse.swt.custom.StyledText
org.eclipse.help.ui.internal.ContextHelpDialog.Description

All Implemented Interfaces:
  `Drawable`

Enclosing class:
  ContextHelpDialog

public static class ContextHelpDialog.Description extends StyledText

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

## Constructor Summary

Constructors
Constructor
Description
`Description(Composite parent, int style)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFocusControl()`
Returns `true` if the receiver has the user-interface focus, and `false` otherwise.
`boolean`
`setFocus()`
Causes the receiver to have the keyboard focus, such that all keyboard events will be delivered to it.

### Methods inherited from class org.eclipse.swt.custom.StyledText

`addBidiSegmentListener, addCaretListener, addExtendedModifyListener, addLineBackgroundListener, addLineStyleListener, addModifyListener, addPaintObjectListener, addSelectionListener, addVerifyKeyListener, addVerifyListener, addWordMovementListener, append, computeSize, copy, copy, cut, getAlignment, getAlwaysShowScrollBars, getBackground, getBaseline, getBaseline, getBidiColoring, getBlockSelection, getBlockSelectionBounds, getBottomMargin, getCaretOffset, getCharCount, getContent, getDoubleClickEnabled, getDragDetect, getEditable, getForeground, getHorizontalIndex, getHorizontalPixel, getIndent, getJustify, getKeyBinding, getLeftMargin, getLine, getLineAlignment, getLineAtOffset, getLineBackground, getLineBullet, getLineCount, getLineDelimiter, getLineHeight, getLineHeight, getLineIndent, getLineIndex, getLineJustify, getLinePixel, getLineSpacing, getLineTabStops, getLineVerticalIndent, getLineWrapIndent, getLocationAtOffset, getMarginColor, getMouseNavigatorEnabled, getOffsetAtLine, getOffsetAtLocation, getOffsetAtPoint, getOrientation, getRanges, getRanges, getRightMargin, getSelection, getSelectionBackground, getSelectionCount, getSelectionForeground, getSelectionRange, getSelectionRanges, getSelectionText, getStyleRangeAtOffset, getStyleRanges, getStyleRanges, getStyleRanges, getStyleRanges, getTabs, getTabStops, getText, getText, getTextBounds, getTextLimit, getTextRange, getTopIndex, getTopMargin, getTopPixel, getWordWrap, getWrapIndent, insert, invokeAction, isTextSelected, paste, print, print, print, redraw, redraw, redrawRange, removeBidiSegmentListener, removeCaretListener, removeExtendedModifyListener, removeLineBackgroundListener, removeLineStyleListener, removeModifyListener, removePaintObjectListener, removeSelectionListener, removeVerifyKeyListener, removeVerifyListener, removeWordMovementListener, replaceStyleRanges, replaceTextRange, scroll, selectAll, setAlignment, setAlwaysShowScrollBars, setBackground, setBidiColoring, setBlockSelection, setBlockSelectionBounds, setBlockSelectionBounds, setBottomMargin, setCaret, setCaretOffset, setContent, setCursor, setDoubleClickEnabled, setDragDetect, setEditable, setEnabled, setFixedLineMetrics, setFont, setForeground, setHorizontalIndex, setHorizontalPixel, setIndent, setJustify, setKeyBinding, setLeftMargin, setLineAlignment, setLineBackground, setLineBullet, setLineIndent, setLineJustify, setLineSpacing, setLineSpacingProvider, setLineTabStops, setLineVerticalIndent, setLineWrapIndent, setMarginColor, setMargins, setMouseNavigatorEnabled, setOrientation, setRightMargin, setSelection, setSelection, setSelection, setSelectionBackground, setSelectionForeground, setSelectionRange, setSelectionRanges, setStyleRange, setStyleRanges, setStyleRanges, setStyleRanges, setTabs, setTabStops, setText, setTextDirection, setTextLimit, setTopIndex, setTopMargin, setTopPixel, setWordWrap, setWrapIndent, showSelection`

### Methods inherited from class org.eclipse.swt.widgets.Canvas

`drawBackground, getCaret, getIME, setIME`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackgroundImage, getBorderWidth, getBounds, getCursor, getEnabled, getFont, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackgroundImage, setBounds, setBounds, setCapture, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### Description

public Description(Composite parent, int style)

## Method Details

### setFocus

public boolean setFocus()
Description copied from class: `Control`
Causes the receiver to have the keyboard focus, such that all keyboard events will be delivered to it. Focus reassignment will respect applicable platform constraints.

Overrides:
  `setFocus` in class `StyledText`
Returns:
  `true` if the control got focus, and `false` if it was unable to.
See Also:
  - `Control.forceFocus()`

### isFocusControl

public boolean isFocusControl()
Description copied from class: `Control`
Returns `true` if the receiver has the user-interface focus, and `false` otherwise.

Overrides:
  `isFocusControl` in class `Control`
Returns:
  the receiver's focus state